Loading...
Searching...
No Matches
pcl::surface::SimplificationRemoveUnusedVertices Class Reference

`#include <pcl/surface/simplification_remove_unused_vertices.h>`

## Public Types

using | Ptr = shared_ptr< SimplificationRemoveUnusedVertices >
using | ConstPtr = shared_ptr< const SimplificationRemoveUnusedVertices >

## Public Member Functions

| SimplificationRemoveUnusedVertices ()=default
| Constructor.
| ~SimplificationRemoveUnusedVertices ()=default
| Destructor.
void | simplify (const pcl::PolygonMesh &input, pcl::PolygonMesh &output)
| Simply a polygonal mesh.
void | simplify (const pcl::PolygonMesh &input, pcl::PolygonMesh &output, pcl::Indices &indices)
| Perform simplification (remove unused vertices).

## Detailed Description

Definition at line 51 of file simplification_remove_unused_vertices.h.

## Member Typedef Documentation

## ConstPtr

using pcl::surface::SimplificationRemoveUnusedVertices::ConstPtr = shared_ptr<const SimplificationRemoveUnusedVertices>

Definition at line 55 of file simplification_remove_unused_vertices.h.

## Ptr

using pcl::surface::SimplificationRemoveUnusedVertices::Ptr = shared_ptr<SimplificationRemoveUnusedVertices>

Definition at line 54 of file simplification_remove_unused_vertices.h.

## Constructor & Destructor Documentation

## SimplificationRemoveUnusedVertices()

pcl::surface::SimplificationRemoveUnusedVertices::SimplificationRemoveUnusedVertices | ( |  | ) |

default

Constructor.

## ~SimplificationRemoveUnusedVertices()

pcl::surface::SimplificationRemoveUnusedVertices::~SimplificationRemoveUnusedVertices | ( |  | ) |

default

Destructor.

## Member Function Documentation

## simplify() [1/2]

void pcl::surface::SimplificationRemoveUnusedVertices::simplify | ( | const pcl::PolygonMesh & | input,
|  | pcl::PolygonMesh & | output
| ) |  |

inline

Simply a polygonal mesh.

Parameters

  [in] | input | the input mesh
  [out] | output | the output mesh

Definition at line 67 of file simplification_remove_unused_vertices.h.

## simplify() [2/2]

void pcl::surface::SimplificationRemoveUnusedVertices::simplify | ( | const pcl::PolygonMesh & | input,
|  | pcl::PolygonMesh & | output,
|  | pcl::Indices & | indices
| ) |  |

Perform simplification (remove unused vertices).

Parameters

  [in] | input | the input mesh
  [out] | output | the output mesh
  [out] | indices | the resultant vector of indices

The documentation for this class was generated from the following file:

- pcl/surface/simplification_remove_unused_vertices.h